<?php

namespace Pinpoint\OrderShare\Model\Config\Source\Social;

use Magento\Framework\Data\OptionSourceInterface;
use Magento\Framework\Option\ArrayInterface;

/**
 * Class Options
 * @package Pinpoint\OrderShare\Model\Config\Source\Social
 */
class Options implements OptionSourceInterface, ArrayInterface
{
    /**
     * @var array $options
     */
    protected $options = [];

    /**
     * Get Options
     *
     * @return array
     */
    public function toOptionArray()
    {
        if (!$this->options) {
            $socials = ["email", "twitter", "facebook", "googleplus", "linkedin", "pinterest", "stumbleupon", "whatsapp", "skype"];

            foreach ($socials as $social) {
                $this->options[] = ['value' => $social, 'label' => ucwords($social)];
            }
        }


        return $this->options;
    }
}